org.wildfly.swarm.jpa

## Class JPAFraction

- java.lang.Object
- - org.wildfly.swarm.config.JPA<JPAFraction>
  - - org.wildfly.swarm.jpa.JPAFraction

- All Implemented Interfaces:
    Fraction<JPAFraction>

      public class JPAFraction
      extends JPA<JPAFraction>
      implements Fraction<JPAFraction>

  Author:
    Ken Finnigan, Lance Ball

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.wildfly.swarm.config.JPA

      `JPA.DefaultExtendedPersistenceInheritance`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JPAFraction()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JPAFraction` | `applyDefaults()` Apply whatever defaults are required if this fraction was not explicitly configured by a user.
    `static JPAFraction` | `createDefaultFraction()`

    - ### Methods inherited from class org.wildfly.swarm.config.JPA

      `addPropertyChangeListener, defaultDatasource, defaultDatasource, defaultExtendedPersistenceInheritance, defaultExtendedPersistenceInheritance, getKey, removePropertyChangeListener`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.wildfly.swarm.spi.api.Fraction

      `applyDefaults`

- - ### Constructor Detail

    - #### JPAFraction

          public JPAFraction()

  - ### Method Detail

    - #### createDefaultFraction

          public static JPAFraction createDefaultFraction()

    - #### applyDefaults

          public JPAFraction applyDefaults()

      Description copied from interface: `Fraction`
      Apply whatever defaults are required if this fraction was not explicitly configured by a user.
      Specified by:
        `applyDefaults` in interface `Fraction<JPAFraction>`
      Returns:
        this fraction.

Copyright © 2017 JBoss by Red Hat. All rights reserved.